KAddressInfo Class Reference

`#include <kextsock.h>`

## Public Member Functions

KDE_DEPRECATED | operator const ::KSocketAddress * () const
KDE_DEPRECATED | operator const addrinfo & () const
KDE_DEPRECATED | operator const addrinfo * () const
KDE_DEPRECATEDconst::KSocketAddress * | address () const
int | flags () const KDE_DEPRECATED
int | family () const KDE_DEPRECATED
int | socktype () const KDE_DEPRECATED
int | protocol () const KDE_DEPRECATED
const char * | canonname () const KDE_DEPRECATED
int | length () const

## Friends

class | KExtendedSocket

## Detailed Description

Deprecated:
  This class is now deprecated.

Please see KNetwork::KResolver for the new API.

Contains information about an internet address. It wraps addrinfo, see getaddrinfo(3) for more information.

Definition at line 1022 of file kextsock.h.

## Member Function Documentation

KDE_DEPRECATEDconst ::KSocketAddress* KAddressInfo::address | ( |  | ) | const

inline

Returns the KAddressInfo's KSocketAddress.

Only valid as long as the KAddressInfo exists.

Returns
  the KAddressInfo's KSocketAddress.

Definition at line 1063 of file kextsock.h.

const char * KAddressInfo::canonname | ( |  | ) | const

Returns the official name of the host (see getaddrinfo(3)).

Only valid as long as the KAddressInfo exists.

Returns
  the official name of the host

Definition at line 2233 of file kextsock.cpp.

int KAddressInfo::family | ( |  | ) | const

Returns the family of the address info (see getaddrinfo(3)).

Returns
  the family of the addres info.

Definition at line 2218 of file kextsock.cpp.

int KAddressInfo::flags | ( |  | ) | const

Returns the flags of the address info (see getaddrinfo(3)).

Returns
  the flags of the addres info.

Definition at line 2213 of file kextsock.cpp.

int KAddressInfo::length | ( |  | ) | const

inline

Returns the length of the KSocketAddress.

Returns
  the KSocketAddress's length

Definition at line 1102 of file kextsock.h.

KDE_DEPRECATED KAddressInfo::operator const ::KSocketAddress * | ( |  | ) | const

inline

Returns the KAddressInfo's KSocketAddress.

Only valid as long as the KAddressInfo exists.

Definition at line 1042 of file kextsock.h.

KDE_DEPRECATED KAddressInfo::operator const addrinfo & | ( |  | ) | const

inline

Returns the KAddressInfo's addrinfo.

Definition at line 1048 of file kextsock.h.

KDE_DEPRECATED KAddressInfo::operator const addrinfo * | ( |  | ) | const

inline

Returns a pointer to KAddressInfo's addrinfo.

Only valid as long as the KAddressInfo exists.

Definition at line 1055 of file kextsock.h.

int KAddressInfo::protocol | ( |  | ) | const

Returns the protocol of the address info (see getaddrinfo(3)).

Returns
  the protocol of the addres info.

Definition at line 2228 of file kextsock.cpp.

int KAddressInfo::socktype | ( |  | ) | const

Returns the socket type of the address info (see getaddrinfo(3)).

Returns
  the socket type of the addres info.

Definition at line 2223 of file kextsock.cpp.

The documentation for this class was generated from the following files:

- kextsock.h
- kextsock.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys